<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/core/Util.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_3d69f64eaf81436fe2b22361382717e5.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Util.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Util_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;SFML/Graphics.hpp&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1Util.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Util.html">Util</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1Util.html#aaa384addaf40169b0b3e956d578b1f24">   11</a></span>    <a class="code hl_function" href="classgg_1_1Util.html#aaa384addaf40169b0b3e956d578b1f24">Util</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1Util.html#a67ffdae0c1c521ee6bf741cc74fcf9f3">   12</a></span>    <a class="code hl_function" href="classgg_1_1Util.html#a67ffdae0c1c521ee6bf741cc74fcf9f3">~Util</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1Util.html#a3ea9f443fb1981d04cf4951527d5209e">   14</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Util.html#a3ea9f443fb1981d04cf4951527d5209e">TriangleArea</a>(</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keyword">const</span> sf::Vector2f &amp;A, <span class="keyword">const</span> sf::Vector2f &amp;B, <span class="keyword">const</span> sf::Vector2f &amp;C) -&gt; double;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1Util.html#aba86f419f9136f5cb7bd746699cbaf24">   16</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Util.html#aba86f419f9136f5cb7bd746699cbaf24">RectangleArea</a>(</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keyword">const</span> sf::Vector2f &amp;A,</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keyword">const</span> sf::Vector2f &amp;B,</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keyword">const</span> sf::Vector2f &amp;C,</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keyword">const</span> sf::Vector2f &amp;D) -&gt; double;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aclassgg_1_1Util_html"><div class="ttname"><a href="classgg_1_1Util.html">gg::Util</a></div><div class="ttdef"><b>Definition:</b> Util.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1Util_html_a3ea9f443fb1981d04cf4951527d5209e"><div class="ttname"><a href="classgg_1_1Util.html#a3ea9f443fb1981d04cf4951527d5209e">gg::Util::TriangleArea</a></div><div class="ttdeci">static auto TriangleArea(const sf::Vector2f &amp;A, const sf::Vector2f &amp;B, const sf::Vector2f &amp;C) -&gt; double</div></div>
<div class="ttc" id="aclassgg_1_1Util_html_a67ffdae0c1c521ee6bf741cc74fcf9f3"><div class="ttname"><a href="classgg_1_1Util.html#a67ffdae0c1c521ee6bf741cc74fcf9f3">gg::Util::~Util</a></div><div class="ttdeci">~Util()=delete</div></div>
<div class="ttc" id="aclassgg_1_1Util_html_aaa384addaf40169b0b3e956d578b1f24"><div class="ttname"><a href="classgg_1_1Util.html#aaa384addaf40169b0b3e956d578b1f24">gg::Util::Util</a></div><div class="ttdeci">Util()=delete</div></div>
<div class="ttc" id="aclassgg_1_1Util_html_aba86f419f9136f5cb7bd746699cbaf24"><div class="ttname"><a href="classgg_1_1Util.html#aba86f419f9136f5cb7bd746699cbaf24">gg::Util::RectangleArea</a></div><div class="ttdeci">static auto RectangleArea(const sf::Vector2f &amp;A, const sf::Vector2f &amp;B, const sf::Vector2f &amp;C, const sf::Vector2f &amp;D) -&gt; double</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
